net.i2p.router

## Class ClientMessagePool

- java.lang.Object
- - net.i2p.router.ClientMessagePool

-     public class ClientMessagePool
      extends Object

  Manage all of the inbound and outbound client messages maintained by the router. The ClientManager subsystem fetches messages from this for locally deliverable messages and adds in remotely deliverable messages. Remotely deliverable messages are picked up by interested jobs and processed and transformed into an OutNetMessage to be eventually placed in the OutNetMessagePool.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientMessagePool(RouterContext context)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(ClientMessage msg)` Add a new message to the pool.
    `void` | `add(ClientMessage msg, boolean isDefinitelyRemote)` If we're coming from the client subsystem itself, we already know whether the target is definitely remote and as such don't need to recheck ourselves, but if we aren't certain, we want it to check for us.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientMessagePool

          public ClientMessagePool(RouterContext context)

  - ### Method Detail

    - #### add

          public void add(ClientMessage msg)

      Add a new message to the pool. The message can either be locally or remotely destined.

    - #### add

          public void add(ClientMessage msg,
                 boolean isDefinitelyRemote)

      If we're coming from the client subsystem itself, we already know whether the target is definitely remote and as such don't need to recheck ourselves, but if we aren't certain, we want it to check for us.
      Parameters:
        `isDefinitelyRemote` - true if we know for sure that the target is not local